"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
var decorators_1 = require("../decorators");
var Application_1 = require("../Application");
var util_1 = require("../../util");
var logger = require('koa-logger');
var DefaultLogMiddleware = /** @class */ (function () {
    function DefaultLogMiddleware(app) {
        this.app = app;
    }
    DefaultLogMiddleware.prototype.setup = function () {
        this.app.use(logger());
    };
    DefaultLogMiddleware = __decorate([
        decorators_1.Middleware(util_1.symbols.LogMiddleware),
        __metadata("design:paramtypes", [Application_1.Application])
    ], DefaultLogMiddleware);
    return DefaultLogMiddleware;
}());
exports.DefaultLogMiddleware = DefaultLogMiddleware;

//# sourceMappingURL=../../sourcemaps/core/middlewares/DefaultLogMiddleware.js.map
