import { Type, PropertyMetadata, IContainer, ObjectMap } from 'tsioc';
import { Configuration } from '../../Configuration';
export declare class ModelParser {
    private container;
    private config;
    constructor(container: IContainer, config: Configuration);
    isModel(type: Type<any>): boolean;
    protected getPropertyMeta(type: Type<any>): ObjectMap<PropertyMetadata[]>;
    parseModel(type: Type<any>, objMap: object): any;
    parseBaseType(type: any, paramVal: any): any;
    isBaseType(p: any): boolean;
}
