"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * defer
 *
 * @export
 * @class Defer
 * @template T
 */
var Defer = /** @class */ (function () {
    function Defer() {
        var _this = this;
        this.promise = new Promise(function (resolve, reject) {
            _this.resolve = resolve;
            _this.reject = reject;
        });
    }
    Defer.create = function (then) {
        var defer = new Defer();
        if (then) {
            defer.promise = defer.promise.then(then);
            return defer;
        }
        else {
            return defer;
        }
    };
    return Defer;
}());
exports.Defer = Defer;

//# sourceMappingURL=../sourcemaps/util/defer.js.map
