/// <reference types="koa" />
/// <reference types="node" />
import * as Koa from 'koa';
import { IContainer } from 'tsioc';
import * as http from 'http';
import * as https from 'https';
/**
 * Application of type mvc.
 *
 * @export
 * @class Application
 * @extends {Koa}
 */
export declare class Application {
    private server;
    private koa;
    constructor();
    getKoa(): Koa;
    getServer(): http.Server | https.Server;
    use(middleware: Koa.Middleware): void;
    container: IContainer;
}
