"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
var decorators_1 = require("../decorators");
var Application_1 = require("../Application");
var util_1 = require("../../util");
var Configuration_1 = require("../../Configuration");
var session = require('koa-session');
var DefaultSessionMiddleware = /** @class */ (function () {
    function DefaultSessionMiddleware(app, config) {
        this.app = app;
        this.config = config;
    }
    DefaultSessionMiddleware.prototype.setup = function () {
        this.app.use(session(this.config.session, this.app.getKoa()));
    };
    DefaultSessionMiddleware = __decorate([
        decorators_1.Middleware(util_1.symbols.SessionMiddleware),
        __metadata("design:paramtypes", [Application_1.Application, Configuration_1.Configuration])
    ], DefaultSessionMiddleware);
    return DefaultSessionMiddleware;
}());
exports.DefaultSessionMiddleware = DefaultSessionMiddleware;

//# sourceMappingURL=../../sourcemaps/core/middlewares/DefaultSessionMiddleware.js.map
